VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form FrmDelete 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Permanent Delete"
   ClientHeight    =   4590
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5310
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4590
   ScaleWidth      =   5310
   StartUpPosition =   2  'CenterScreen
   Begin MSComctlLib.ListView Filelist 
      Height          =   3015
      Left            =   45
      TabIndex        =   4
      ToolTipText     =   "Files To Delete"
      Top             =   1560
      Width           =   5250
      _ExtentX        =   9260
      _ExtentY        =   5318
      View            =   3
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      HideColumnHeaders=   -1  'True
      Checkboxes      =   -1  'True
      HotTracking     =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   1
      BeginProperty ColumnHeader(1) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         Object.Width           =   2540
      EndProperty
   End
   Begin VB.PictureBox Del 
      AutoSize        =   -1  'True
      BackColor       =   &H80000009&
      Height          =   1380
      Left            =   50
      OLEDropMode     =   1  'Manual
      Picture         =   "Form1.frx":0442
      ScaleHeight     =   1320
      ScaleWidth      =   1350
      TabIndex        =   3
      ToolTipText     =   "Drag & Drop Files Onto Here"
      Top             =   120
      Width           =   1410
   End
   Begin VB.FileListBox folderfiles 
      Height          =   480
      Left            =   6360
      TabIndex        =   2
      Top             =   7560
      Width           =   1095
   End
   Begin VB.CommandButton DeleteFiles 
      Caption         =   "DeleteFiles"
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1375
      Left            =   3480
      TabIndex        =   1
      ToolTipText     =   "Click To Delete Selected Files In The List"
      Top             =   120
      Width           =   1815
   End
   Begin VB.CommandButton AddFile 
      Caption         =   "Add File"
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1375
      Left            =   1560
      Picture         =   "Form1.frx":6204
      TabIndex        =   0
      ToolTipText     =   "Click To Add Files Manually"
      Top             =   120
      Width           =   1815
   End
   Begin MSComDlg.CommonDialog Files 
      Left            =   1080
      Top             =   6360
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
End
Attribute VB_Name = "FrmDelete"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function ReleaseCapture Lib "user32" () As Long
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long

Private Sub AddFile_Click()
Dim Length As String
Files.DialogTitle = "Open File"
Files.Filter = "All Files (*.*)|*.*"
Files.Filename = ""
Files.ShowOpen
If Files.Filename = "" Then Exit Sub

If CheckExist(Files.Filename, Filelist) = False Then
Filelist.ListItems.Add , , Files.Filename
Filelist.ListItems(Filelist.ListItems.Count).Checked = True
End If
End Sub

Private Sub DeleteFiles_Click()
Dim counter
If MsgBox("Are you sure you want to delete these files?", vbYesNo, "Delete") = vbNo Then
    Me.Show
    Exit Sub
Else

For counter = 1 To Filelist.ListItems.Count
If Filelist.ListItems(counter).Checked = True Then
   DeleteFile (Filelist.ListItems(counter).Text)
End If
Next counter
End If
Filelist.ListItems.Clear
End Sub

Private Sub Form_Unload(Cancel As Integer)
Unload Me
End
End Sub

Private Sub Form_Load()
On Error Resume Next
KeepOnTop Me
Filelist.ColumnHeaders(1).Width = Filelist.Width - 90
End Sub

Private Sub Del_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
On Error Resume Next
Dim numFiles As Integer, i As Integer, counter, t, ModI As Long, Barr() As Byte
Randomize
numFiles = Data.Files.Count
For i = 1 To numFiles
    If (GetAttr(Data.Files(i)) And vbDirectory) = vbDirectory Then
        Exit Sub
    Else
        If CheckExist(Data.Files(i), Filelist) = False Then
        Filelist.ListItems.Add , , Data.Files(i)
        Filelist.ListItems(Filelist.ListItems.Count).Checked = True
        End If
    End If
Next i
End Sub

Private Sub Del_OLEDragOver(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single, State As Integer)
On Error Resume Next
If Data.GetFormat(vbCFFiles) Then
    Effect = vbDropEffectCopy
Else
    Effect = vbDropEffectNone
End If
End Sub
